<style>
.editpage {
  height: 100vh;
  background-color: #f6f6f6;
  padding: 0rpx 35rpx 35rpx;
  box-sizing: border-box;
}
.signedit {
  width: 680rpx;
  height: 100%;
  background: #ffffff;
  border-radius: 30rpx;
  margin: 0 auto;
  box-sizing: border-box;
  padding: 70rpx 35rpx;
}
.box {
  margin-bottom: 60rpx;
}
.box .name {
  font-size: 28rpx;
  font-family: PingFang SC;
  font-weight: 800;
  color: #1f1f1f;
  margin-bottom: 20rpx;
}
.box .input {
  /* height: 74rpx; */
  border-bottom: 1px solid #747474;
  font-size: 32rpx;
  font-family: PingFang SC;
  font-weight: 500;
  color: #1f1f1f;
  padding-bottom: 15rpx;
}
.btnBox {
  display: flex;
  justify-content: space-between;
}
.btn {
  width: 300rpx;
  height: 88rpx;
  border-radius: 20rpx;
  font-size: 32rpx;
  font-family: PingFang SC;
  font-weight: bold;
  text-align: center;
  line-height: 88rpx;
}
.btn1 {
  background: #f70027;
  color: #ffffff;
}
.btn2 {
  background: #ffffff;
  color: #1f1f1f;
  border: 1px solid #e2e2e2;
}
</style>
<template>
  <view class="editpage">
    <view class="signedit">
      <view class="box">
        <view class="name">姓名</view>
        <input
          type="text"
          class="input"
          v-model="msg.LinkMan"
          placeholder="请输入姓名"
        />
      </view>
      <view class="box">
        <view class="name">公司职务</view>
        <input
          type="text"
          class="input"
          v-model="msg.Post"
          placeholder="请输入公司职务"
        />
      </view>
      <view class="box">
        <view class="name">所属区域</view>
        <input
          type="text"
          class="input"
          v-model="msg.CountryInfo"
          placeholder="请输入所属区域"
        />
      </view>
      <view class="box">
        <view class="name">联系电话</view>
        <input
          type="text"
          class="input"
          v-model="msg.LinkTel"
          placeholder="请输入联系电话"
        />
      </view>
      <view class="btnBox">
        <view class="btn btn1" @click="submit">确认修改</view>
        <view class="btn btn2" @click="quxiao">取消</view>
      </view>
    </view>
  </view>
</template>
<script>
export default {
  data() {
    return {
      pageTitle: "修改参会人员",
      msg: {
        Id: 0,
        ActivityId: 0,
        LinkMan: "",
        LinkTel: "",
        Post: "",
        CountryInfo: "",
      },
    };
  },
  created() {},
  mounted() {
    uni.setNavigationBarTitle({
      title: this.pageTitle,
    });
    uni.setBackgroundColor({});
  },
  onLoad(option) {
    let data = JSON.parse(option.data);
    this.msg.Id = data.Id;
    this.msg.ActivityId = data.ActivityId;
    this.msg.LinkMan = data.LinkMan;
    this.msg.LinkTel = data.LinkTel;
    this.msg.Post = data.Post;
    this.msg.CountryInfo = data.CountryInfo;
    console.log(this.msg);
  },
  methods: {
    getList() {
      this.request2(
        {
          url: "/api/AppletTrade/GetCommerceActivity",
          data: this.qmsg,
        },
        (res) => {
          console.log(res);
          if (res.resultCode == 1) {
            this.dataList = res.data.CommerceConsultList;
          }
        }
      );
    },
    //修改用户信息
    submit() {
      if (this.msg.LinkMan == "" || !this.msg.LinkMan) {
        uni.showToast({
          title: "请输入姓名",
          duration: 2000,
          icon: "error",
        });
        return;
      }
      if (this.msg.LinkTel == "" || !this.msg.LinkTel) {
        uni.showToast({
          title: "请输入联系电话",
          duration: 2000,
          icon: "error",
        });
        return;
      }
      this.request2(
        {
          url: "/api/AppletTrade/SetTradeConsult",
          data: this.msg,
        },
        (res) => {
          if (res.resultCode == 1) {
            uni.showToast({
              title: "操作成功",
              duration: 2000,
              icon: "none",
            });
            uni.navigateTo({
              url: "/pages/kotra/activityList",
            });
          }
        }
      );
    },
    quxiao() {
      uni.navigateBack({
        delta: 1,
      });
    },
  },
};
</script>
